> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Company Onboarded Status to True

> Once microdeposits have been confirmed and authorization documents signed, complete onboarding for the specified company.

> Note: The company is initially set to a `payment_permission_pending` state when onboarded. Please refer to the [Company Object](/reference/companies/the-company-object) for more information on company statuses.


## OpenAPI

````yaml openapi/zeal-api.json post /companies/onboardCompany
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /companies/onboardCompany:
    post:
      summary: Set Company Onboarded Status to True
      description: Sets a Company to onboarded if all requirements are met.
      operationId: set-company-status-to-onboarded
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
              properties:
                companyID:
                  type: string
                  description: companyID of the company
            examples:
              Request Example:
                value:
                  companyID: 12349eee40588c3948e312ww
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      - message: company has been successfully onboarded
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: company has been successfully onboarded
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Company has already been onboarded
                        code: 30
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Company has already been onboarded
                        code:
                          type: integer
                          example: 30
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````